LTTNG-LOAD(1)

NAME
lttng-load - Load LTTng recording session configurations

SYNOPSIS

lttng [GENERAL OPTIONS] load [--force] [--input-path=PATH]
      [--override-url=URL] [--all | SESSION [--override-name=NAME]]

DESCRIPTION

The lttng load command loads the configurations of one or more recording sessions from files.

See lttng-concepts(7) to learn more about recording sessions.

Use the load command in conjunction with the lttng-save(1) command to save and restore the complete configurations of recording sessions. A recording session configuration includes the enabled channels and recording event rules, the context fields to be recorded, the recording activity, and more.

Once LTTng loads one or more recording session configurations, they appear exactly as they were saved from the user’s point of view.

LTTng searches the following directories, non-recursively, in this order for recording session configuration files:

    1. $LTTNG_HOME/.lttng/sessions ($LTTNG_HOME defaults to $HOME)

    2. /usr/local/etc/lttng/sessions

Override the input path with the --input-path=PATH option. With this option, LTTng does NOT search the default directories above. PATH can be the path of one of:

A directory

    With the SESSION argument
        LTTng searches for the recording session configuration named SESSION in all the files of the directory PATH and loads it if found.

    Without the SESSION argument
        The --all option is implicit: LTTng loads all the recording session configurations found in all the files in the directory PATH.

A file

    With the SESSION argument
        LTTng searches for the recording session configuration named SESSION in the file PATH and loads it if found.

    Without the SESSION argument
        The --all option is implicit: LTTng loads all the recording session configurations found in the file PATH.

Override the output URL of the loaded recording session configurations with the --override-url option.

With the SESSION argument, override the name of the loaded recording session configuration with the --override-name option.

By default, the load command does NOT overwrite existing recording sessions: the command fails. Allow the load command to overwrite existing recording sessions with the --force option.

See the “EXAMPLES” section below for usage examples.

OPTIONS

See lttng(1) for GENERAL OPTIONS.

-a, --all
    Load all the recording session configurations (default).

-f, --force
    Overwrite existing recording sessions when loading.

-i PATH, --input-path=PATH
    Load recording session configurations from PATH, either a directory or a file, instead of loading them from the default search directories.

--override-name=NAME
    Override the name of the loaded recording session configuration, SESSION, with NAME.

--override-url=URL
    Override the output URL of the loaded recording session configurations with URL.

    This is the equivalent of the --set-url option of lttng-create(1). The validity of the URL override depends on the type of recording session configurations to load. This option applies to all the loaded recording session configurations.

  Program information

-h, --help
    Show help.

    This option attempts to launch /usr/bin/man to view this manual page. Override the manual pager path with the LTTNG_MAN_BIN_PATH environment variable.

--list-options
    List available command options and quit.

EXIT STATUS

0
    Success

1
    Command error

2
    Undefined command

3
    Fatal error

4
    Command warning (something went wrong during the command)

ENVIRONMENT

LTTNG_ABORT_ON_ERROR
    Set to 1 to abort the process after the first error is encountered.

LTTNG_HOME
    Path to the LTTng home directory.

    Defaults to $HOME.

    Useful when the Unix user running the commands has a non-writable home directory.

LTTNG_MAN_BIN_PATH
    Absolute path to the manual pager to use to read the LTTng command-line help (with lttng-help(1) or with the --help option) instead of /usr/bin/man.

LTTNG_SESSION_CONFIG_XSD_PATH
    Path to the directory containing the session.xsd recording session configuration XML schema.

LTTNG_SESSIOND_PATH
    Absolute path to the LTTng session daemon binary (see lttng-sessiond(8)) to spawn from the lttng-create(1) command.

    The --sessiond-path general option overrides this environment variable.

FILES

$LTTNG_HOME/.lttngrc
    Unix user’s LTTng runtime configuration.

    This is where LTTng stores the name of the Unix user’s current recording session between executions of lttng(1). lttng-create(1) and lttng-set-session(1) set the current recording session.

$LTTNG_HOME/lttng-traces
    Default output directory of LTTng traces in local and snapshot modes.

    Override this path with the --output option of the lttng-create(1) command.

$LTTNG_HOME/.lttng
    Unix user’s LTTng runtime and configuration directory.

$LTTNG_HOME/.lttng/sessions
    Default directory containing the Unix user’s saved recording session configurations (see lttng-save(1) and lttng-load(1)).

/usr/local/etc/lttng/sessions
    Directory containing the system-wide saved recording session configurations (see lttng-save(1) and lttng-load(1)).

Note

    $LTTNG_HOME defaults to the value of the HOME environment variable.

EXAMPLES

Example 1. Load all the recording session configurations from the default search directories.

        $ lttng load

Example 2. Load all the recording session configurations from a specific directory.

    See the --input-path option.

        $ lttng load --input-path=/path/to/sessions

Example 3. Load a specific recording session configuration from the default search directories.

        $ lttng load my-session

Example 4. Allow LTTng to overwrite existing recording sessions when loading.

    See the --force option.

        $ lttng load --force

Example 5. Load a specific recording session configuration from a specific file, overriding its name.

    See the --input-path and --override-name options.

        $ lttng load my-session --input-path=/path/to/sessions.lttng \
                     --override-name=new-test

RESOURCES

    • LTTng project website <https://lttng.org>

    • LTTng documentation <https://lttng.org/docs>

    • LTTng bug tracker <https://bugs.lttng.org>

    • Git repositories <https://git.lttng.org>

    • GitHub organization <https://github.com/lttng>

    • Continuous integration <https://ci.lttng.org/>

    • Mailing list <https://lists.lttng.org/> for support and development: lttng-dev@lists.lttng.org

    • IRC channel <irc://irc.oftc.net/lttng>: #lttng on irc.oftc.net

COPYRIGHT

This program is part of the LTTng-tools project.

LTTng-tools is distributed under the GNU General Public License version 2 <http://www.gnu.org/licenses/old-licenses/gpl-2.0.en.html>. See the LICENSE <https://github.com/lttng/lttng-tools/blob/master/LICENSE> file for details.

THANKS

Special thanks to Michel Dagenais and the DORSAL laboratory <http://www.dorsal.polymtl.ca/> at École Polytechnique de Montréal for the LTTng journey.

Also thanks to the Ericsson teams working on tracing which helped us greatly with detailed bug reports and unusual test cases.

SEE ALSO

lttng(1), lttng-save(1), lttng-concepts(7)